REM &1 = REQPRO_INDEX
REM &2 = SMALL
REM &3 = MEDIUM
REM &4 = LARGE

ALTER TABLE RQDISCUSSIONGROUPS
       ADD  ( CONSTRAINT RQDISCUSSIONGROUPS_PK PRIMARY KEY (DISCUSSIONID, GROUPID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0));

ALTER TABLE RQDISCUSSIONREQUIREMENTS
       ADD  ( CONSTRAINT RQDISCUSSIONREQUIREMENTS_PK PRIMARY KEY (DISCUSSIONID, REQUIREMENTID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQDISCUSSIONS
       ADD  ( CONSTRAINT RQDISCUSSIONS_PK PRIMARY KEY (ID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0));

ALTER TABLE RQDISCUSSIONSREAD
       ADD  ( CONSTRAINT RQDISCUSSIONSREAD_PK PRIMARY KEY (DISCUSSIONID, USERID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &4 NEXT &4 PCTINCREASE 0));

ALTER TABLE RQDISCUSSIONUSERS
       ADD  ( CONSTRAINT RQDISCUSSIONUSERS_PK PRIMARY KEY (DISCUSSIONID, USERID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &4 NEXT &4 PCTINCREASE 0));

ALTER TABLE RQDOCUMENTHISTORY
       ADD  ( CONSTRAINT RQDOCUMENTHISTORY_PK PRIMARY KEY (ID, VERSIONNUMBER) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0));

ALTER TABLE RQDOCUMENTS
       ADD  ( CONSTRAINT RQDOCUMENTS_PK PRIMARY KEY (ID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQDOCUMENTTYPES
       ADD  ( CONSTRAINT RQDOCUMENTTYPES_PK PRIMARY KEY (ID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQDOCUMENTTYPEUSERS
       ADD  ( CONSTRAINT RQDOCUMENTTYPEUSERS_PK
	PRIMARY KEY (PROJECTID, DOCUMENTTYPEID, USERGROUPID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQEXTERNALPROJECTS
       ADD  ( CONSTRAINT RQEXTERNALPROJECTS_PK PRIMARY KEY (ID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQKEYS
       ADD  ( CONSTRAINT RQKEYS_PK PRIMARY KEY (KEYCLASS) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL 1K NEXT 1K PCTINCREASE 0));

ALTER TABLE RQOVERFLOWHISTORY
       ADD  ( CONSTRAINT RQOVERFLOWHISTORY_PK
	PRIMARY KEY (OVERFLOWTYPE, OVERFLOWID, OVERFLOWVERSIONNUMBER) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQOVERFLOWTEXT
       ADD  ( CONSTRAINT RQOVERFLOWTEXT_PK PRIMARY KEY (OVERFLOWID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQOVERFLOWVALUES
       ADD  ( CONSTRAINT RQOVERFLOWVALUES_PK PRIMARY KEY (OVERFLOWREQUIREMENTID, OVERFLOWFIELDID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQPACKAGES
       ADD  ( CONSTRAINT RQPACKAGES_PK PRIMARY KEY (ID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0));

ALTER TABLE RQPROJECTDISCUSSIONS
       ADD  ( CONSTRAINT RQPROJECTDISCUSSIONS_PK PRIMARY KEY (PROJECTID, DISCUSSIONID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0));

ALTER TABLE RQPROJECTDOCUMENTS
       ADD  ( CONSTRAINT RQPROJECTDOCUMENTS_PK PRIMARY KEY (PROJECTID, DOCUMENTID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQPROJECTDOCUMENTTYPES
       ADD  ( CONSTRAINT RQPROJECTDOCUMENTTYPES_PK PRIMARY KEY (PROJECTID, DOCUMENTTYPEID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQPROJECTEXTERNALPROJECTS
       ADD  ( CONSTRAINT RQPROJECTEXTERNALPROJECTS_PK PRIMARY KEY (PROJECTID, EXTERNALPROJECTID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQPROJECTHISTORY
       ADD  ( CONSTRAINT RQPROJECTHISTORY_PK PRIMARY KEY (ID, VERSIONNUMBER) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQPROJECTREQUIREMENTS
       ADD  ( CONSTRAINT RQPROJECTREQUIREMENTS_PK PRIMARY KEY (PROJECTID, REQUIREMENTID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0));

ALTER TABLE RQPROJECTREQUIREMENTTYPES
       ADD  ( CONSTRAINT RQPROJECTREQUIREMENTTYPES_PK
	PRIMARY KEY (PROJECTID, REQUIREMENTTYPEID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQPROJECTS
	ADD  ( CONSTRAINT RQPROJECTS_PK PRIMARY KEY (ID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQPROJECTUSERS
       ADD  ( CONSTRAINT RQPROJECTUSERS_PK PRIMARY KEY (PROJECTID, USERGROUPID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQQUERYDEFINITIONS
       ADD  ( CONSTRAINT RQQUERYDEFINITIONS_PK PRIMARY KEY (ID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQREQUIREMENTHISTORY
       ADD  ( CONSTRAINT RQREQUIREMENTHISTORY_PK PRIMARY KEY (ID, VERSIONNUMBER) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &4 NEXT &4 PCTINCREASE 0));

ALTER TABLE RQREQUIREMENTS
       ADD  ( CONSTRAINT RQREQUIREMENTS_PK PRIMARY KEY (ID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0));

ALTER TABLE RQREQUIREMENTTYPEFIELDS
       ADD  ( CONSTRAINT RQREQUIREMENTTYPEFIELDS_PK
	PRIMARY KEY (REQUIREMENTTYPEID, USERDEFINEDFIELDID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQREQUIREMENTTYPES
       ADD  ( CONSTRAINT RQREQUIREMENTTYPES_PK PRIMARY KEY (ID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQREQUIREMENTTYPESTYLES
       ADD  ( CONSTRAINT RQREQUIREMENTTYPESTYLES_PK PRIMARY KEY (REQUIREMENTTYPEID, REQTYPELEVEL) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQREQUIREMENTTYPEUSERS
       ADD  ( CONSTRAINT RQREQUIREMENTTYPEUSERS_PK
	PRIMARY KEY (PROJECTID, REQUIREMENTTYPEID, USERGROUPID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQTORELATIONSHIPS
       ADD  ( CONSTRAINT RQTORELATIONSHIPS_PK PRIMARY KEY (ID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQUSERDEFINEDDOCRELVALUES
       ADD  ( CONSTRAINT RQUSERDEFINEDDOCRELVALUES_PK
	PRIMARY KEY (DOCUMENTID, FIELDID, RELATEDITEMID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQUSERDEFINEDFIELDS
       ADD  ( CONSTRAINT RQUSERDEFINEDFIELDS_PK PRIMARY KEY (ID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQUSERDEFINEDFIELDUSERS
       ADD  ( CONSTRAINT RQUSERDEFINEDFIELDUSERS_PK
	PRIMARY KEY (PROJECTID, FIELDID, USERGROUPID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0));

ALTER TABLE RQUSERDEFINEDFIELDVALUES
       ADD  ( CONSTRAINT RQUSERDEFINEDFIELDVALUES_PK PRIMARY KEY (REQUIREMENTID, FIELDID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &4 NEXT &4 PCTINCREASE 0));

ALTER TABLE RQUSERDEFINEDLISTITEMS
       ADD  ( CONSTRAINT RQUSERDEFINEDLISTITEMS_PK PRIMARY KEY (ITEMID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQUSERDEFINEDLISTITEMUSERS
       ADD  ( CONSTRAINT RQUSERDEFINEDLISTITEMUSERS_PK
	PRIMARY KEY (PROJECTID, LISTITEMID, USERGROUPID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0));

ALTER TABLE RQUSERDEFINEDLISTVALUES
       ADD  ( CONSTRAINT RQUSERDEFINEDLISTVALUES_PK
	PRIMARY KEY (REQUIREMENTID, FIELDID, LISTITEMID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &4 NEXT &4 PCTINCREASE 0));

ALTER TABLE RQUSERDEFINEDRELVALUES
       ADD  ( CONSTRAINT RQUSERDEFINEDRELVALUES_PK
	PRIMARY KEY (REQUIREMENTID, FIELDID, RELATEDITEMID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0));

ALTER TABLE RQUSERGROUPS
       ADD  ( CONSTRAINT RQUSERGROUPS_PK PRIMARY KEY (ID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQUSERS
       ADD  ( CONSTRAINT RQUSERS_PK PRIMARY KEY (ID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

ALTER TABLE RQVIEWS
       ADD  ( CONSTRAINT RQVIEWS_PK PRIMARY KEY (ID) USING INDEX
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0));

